0

I am trying to configure Skype Call Recorder in Debian 7.1, running Skype 4.3.0.37.

Since there was no amd64 package for Debian, I am using skype-call-recorder-ubuntu_0.10_amd64.deb. The installation seems to go smooth. However, once I run it, I get the following error:

skype-call-recorder: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by skype-call-recorder)

I have tried to locate a package for this library and I could not find which one should be. I have also tried with the Debian package, but it does not even run the installation properly.

Any idea what the issue could be? Where can I find the library? The closest information I have found is at http://www.pc-freak.net/blog/how-to-record-your-skype-calls-with-skype-call-recorder-on-debian-linux-install-skype-call-recorder-on-amd64-debian-squeeze-testingunstable-linux/ , but it seems there was not library dependency problem in this case.

  • The current stable glibc in Wheezy is 2.13-1. See glibc package details. You need to add 2.14 – eyoung100 Dec 29 '14 at 18:13
  • 1
    Hold on, upgrading the C library is a really bad idea in general. – Faheem Mitha Dec 29 '14 at 19:47
  • @FaheemMitha, I agree but he asked how to do it... – eyoung100 Dec 29 '14 at 20:30
  • You already have the library: it's libc.so.6. But your version is too old: you have 2.13 but the binary you installed requires at least 2.14 (and it's badly made: it doesn't declare its dependencies properly). I suggest compiling from source — though I don't know where the source of the latest version is. – Gilles 'SO- stop being evil' Dec 29 '14 at 23:04
  • It could be interesting to find out what glibc 2.14 feature is so vital to this piece of software... Maybe previous versions of Skype Call Recording worked under glibc 2.13x: they might still be available for download somewhere. – John WH Smith Dec 30 '14 at 0:59
1

I did not want to mess with the libraries, therefore I tried the suggestion of @john-wh-smith:

It could be interesting to find out what glibc 2.14 feature is so vital to this piece of software... Maybe previous versions of Skype Call Recording worked under glibc 2.13x: they might still be available for download somewhere.

Version 0.8 works perfectly with the old version of the C library (concretely for this specific case I used skype-call-recorder-ubuntu_0.8_amd64.deb).

0

You need to add the debian experimental repository to your /etc/sources.list from there you need to download and install glibc 2.17, this can be a bad idea if you don't know what you're doing though as running unstable software can be dangerous, so be weary.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.